## pion 5.0.4+dfsg

=== debian/changelog ===
pion (5.0.4+dfsg-2) unstable; urgency=low

  * Fix FTBFS on big endian architectures, thanks to Aurelien Jarno
    for the patch (Closes: #728320)
  * Update to Standards-Version 3.9.5 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 02 Nov 2013 14:21:58 -0400

pion (5.0.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Make libpion-dev, libpion-plugins, and libpion-plugins-dev conflict
    with their counterparts from the old package (Closes: #719771, #719772)
  * Add get-orig-source target to debian/rules

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 23 Sep 2013 21:34:29 -0400

pion (5.0.3+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 03 Aug 2013 11:53:18 -0400

pion (5.0.1+dfsg-1) unstable; urgency=low

  * Acknowledge NMU, thanks to Matthias Klose
  * New upstream release (Closes: #701336, #708802)
  * Source package renamed as a result of upstream changes: pion-net -> pion
  * Binary packages renamed:
    + libpion-net-4.0 and libpion-common-4.0 -> libpion-5.0
    + libpion-net-dev and libpion-common-dev -> libpion-dev
  * Update watch file
  * Update copyright information
  * Update to Standards-Version 3.9.4 (no changes)
  * Enable compilation with hardening flags
  * Add dependencies:
    + liblog4cpp5-dev for libpion-dev (Closes: #678433) (LP: #881632)
    + libssl-dev for libpion-dev (Closes: #678435)
  * Ship headers for the plugins (LP: #1012022)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 06 Jul 2013 18:04:35 -0400

pion-net (4.0.7+dfsg-3.1) unstable; urgency=low

  * Non maintainer upload
  * Fix build failure with GCC 4.7. Closes: #672036.

 -- Matthias Klose <doko@debian.org>  Thu, 10 May 2012 21:59:39 +0200

pion-net (4.0.7+dfsg-3) unstable; urgency=low

  * Remove call to deprecated io_service() (Closes: #653787)

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 09 Jan 2012 16:40:13 -0500

pion-net (4.0.7+dfsg-2) unstable; urgency=low

  * Add patch for aclocal.m4, thanks to Jakub Willk (Closes: #649124)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 25 Nov 2011 17:24:52 -0500

pion-net (4.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 30 Sep 2011 23:17:15 -0400

pion-net (4.0.5+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: 632455)
  * Switch from ostream for logging to log4cpp
  * Update to Standards-Version 3.9.2 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 02 Jul 2011 21:37:36 -0400

pion-net (4.0.1+dfsg-2) unstable; urgency=low

  * Stop shipping debug symbols for PionWebServer and PionHelloServer to
    prevent file conflicts when SONAME changes (Closes: #617933)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 12 Mar 2011 13:15:25 -0500

pion-net (4.0.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-3.0 -> libpion-net-4.0
    + libpion-common-3.0 -> libpion-common-4.0
  * Update copyright years in debian/copyright

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 10 Mar 2011 18:00:18 -0500

pion-net (3.0.21+dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #565061)
  * Update to Standards-Version 3.9.1 (no changes)
  * Version the -dbg packages to track the versioned runtime packages

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 27 Jan 2011 12:21:39 -0500

pion-net (3.0.9+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 01 May 2010 11:36:15 -0400

pion-net (3.0.7+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 13 Apr 2010 08:02:40 -0400

pion-net (3.0.5+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.12 -> libpion-net-3.0
    + libpion-common-2.2.12 -> libpion-common-3.0
  * Switch to dpkg-source 3.0 (quilt) format

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 03 Apr 2010 10:17:18 -0400

pion-net (2.2.12+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.10 -> libpion-net-2.2.12
    + libpion-common-2.2.10 -> libpion-common-2.2.12
  * Update to Standards-Version 3.8.4 (no changes)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sat, 20 Feb 2010 12:47:17 -0500

pion-net (2.2.10+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.8 -> libpion-net-2.2.10
    + libpion-common-2.2.8 -> libpion-common-2.2.10

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 25 Jan 2010 11:48:10 -0500

pion-net (2.2.8+dfsg-2) unstable; urgency=low

  * Adjust Build-Depends to remove non-existent packages (Closes: #562382)
  * Add ${misc:Depends} to the packages that lacked it (pleases lintian)
  * Use chrpath to remove hard coded rpath from binaries and libraries

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 05 Jan 2010 20:17:04 -0500

pion-net (2.2.8+dfsg-1) unstable; urgency=low

  * New upstream release
  * Rename packages:
    + libpion-net-2.2.2 -> libpion-net-2.2.8
    + libpion-common-2.2.2 -> libpion-common-2.2.8

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 07 Dec 2009 20:28:58 -0500

pion-net (2.2.2+dfsg-2) unstable; urgency=low

  * libpion-common-dev: Do not install duplicate lintian override 
  * libpion-net-dbg: Remove erroneous dependency on libpion-net-plugins
  * debian/rules: Add --disable-lockfree option to ./configure command

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 12 Oct 2009 16:35:12 -0400

pion-net (2.2.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + debian/patches/g++-4.4.patch: Removed, merged upstream
    + Remove --without-cpu option from configure command, as upstream now
      checks if -march=i686 works first
  * Rename packages:
    + libpion-net-2.1.8 -> libpion-net-2.2.2
    + libpion-common-2.1.8 -> libpion-common-2.2.2

