=== debian/control ===
Source: pion
Priority: extra
Maintainer: Athena Capital Research <acr-debian@athenacr.com>
Uploaders: Roberto C. Sanchez <roberto@connexer.com>
Build-Depends: debhelper (>= 7), autotools-dev, autoconf, automake, libssl-dev, libboost-dev (>= 1.35), libboost-thread-dev (>= 1.35), libboost-iostreams-dev (>= 1.35), libboost-system-dev (>= 1.35), libboost-filesystem-dev (>= 1.35), libboost-signals-dev (>= 1.35), libboost-test-dev (>= 1.35), chrpath, zlib1g-dev, doxygen, perl, libbz2-dev, libxml2-dev, libpcap-dev, libtool, ruby, cmake, pkg-config, liblog4cpp5-dev
Standards-Version: 3.9.5
Section: libs
Homepage: http://pion.sourceforge.net/
Vcs-Browser: https://github.com/cloudmeter/pion
Vcs-Git: git://github.com/cloudmeter/pion.git

Package: libpion-dev
Section: libdevel
Architecture: any
Depends: libpion-5.0 (= ${binary:Version}), libpion-plugins (= ${binary:Version}), liblog4cpp5-dev, libssl-dev, ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libpion-net-dev
Suggests: libpion-doc
Description: lightweight HTTP interface library - development files
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion development files.

Package: libpion-plugins
Architecture: any
Depends: libpion-5.0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libpion-net-plugins
Description: lightweight HTTP interface library - plugins
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion plugins.

Package: libpion-5.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight HTTP interface library - runtime files
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion runtime files.

Package: libpion-5.0-dbg
Section: debug
Architecture: any
Depends: libpion-5.0 (= ${binary:Version}), ${misc:Depends}
Description: lightweight HTTP interface library - debug files
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion debug files.

Package: libpion-plugins-dbg
Section: debug
Architecture: any
Depends: libpion-plugins (= ${binary:Version}), libpion-5.0-dbg, ${misc:Depends}
Conflicts: libpion-net-plugins-dbg
Description: lightweight HTTP interface library - plugins debug files
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion plugins debug files.

Package: libpion-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: lightweight HTTP interface library - documentation
 pion is not intended to implement yet another web server, but to
 provide HTTP(S) functionality to new or existing C++ applications. If
 you're looking for a full-featured server application, check out Apache
 or lighttpd. If you're working on a Boost C++ application and would just
 like to use HTTP to provide a simple user interface or interact with
 run-time data, then pion is a clean and simple solution.
 .
 Pion Network Library uses the Boost and asio libraries for multi-threading
 and asynchronous I/O. This allows servers implemented using pion to
 handle many thousands of connections simultaneously with a single physical
 server.
 .
 pion also supports server-side SSL & TLS encryption when built with
 the OpenSSL library (which the Debian package is).
 .
 This package includes the pion documentation files.
