=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-ldl -Wl,-z,defs -lpthread" dpkg-buildflags

config.status: configure
configure: configure-stamp
configure-stamp:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./autogen.sh
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-shared --disable-static --with-gnu-ld --with-pic --with-openssl --with-zlib --with-bzlib --with-log4cpp --disable-lockfree $(shell $(dpkg_buildflags) --export=configure)


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) $(shell $(dpkg_buildflags) --export=configure) all
	$(MAKE) check
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	install -d $(CURDIR)/debian/tmp/usr/share/lintian/overrides
	cp $(CURDIR)/debian/lintian/* $(CURDIR)/debian/tmp/usr/share/lintian/overrides/


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i
	dh_installman -i
	dh_link -i
	dh_strip -i -k
	dh_compress -i
	dh_fixperms -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_link -a
	dh_strip -a -k
	mv $(CURDIR)/debian/libpion-dev/usr/lib/debug/* $(CURDIR)/debian/libpion-5.0-dbg/usr/lib/debug/
	rmdir $(CURDIR)/debian/libpion-dev/usr/lib/debug/
	mv $(CURDIR)/debian/libpion-5.0/usr/lib/debug/usr/* $(CURDIR)/debian/libpion-5.0-dbg/usr/lib/debug/usr/
	rm $(CURDIR)/debian/libpion-5.0-dbg/usr/lib/debug/usr/bin/helloserver $(CURDIR)/debian/libpion-5.0-dbg/usr/lib/debug/usr/bin/piond
	rmdir $(CURDIR)/debian/libpion-5.0-dbg/usr/lib/debug/usr/bin/
	rmdir $(CURDIR)/debian/libpion-5.0/usr/lib/debug/usr/
	rmdir $(CURDIR)/debian/libpion-5.0/usr/lib/debug/
	mv $(CURDIR)/debian/libpion-plugins/usr/lib/debug/* $(CURDIR)/debian/libpion-plugins-dbg/usr/lib/debug/
	rmdir $(CURDIR)/debian/libpion-plugins/usr/lib/debug/
	cp $(CURDIR)/services/*.hpp $(CURDIR)/debian/libpion-dev/usr/include/pion/plugins/
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	uscan --watchfile $(CURDIR)/debian/watch.get-orig-source --verbose --force-download --no-symlink --destdir ..

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
