## pion 5.0.6+dfsg

=== debian/changelog ===
pion (5.0.6+dfsg-1build1) wily; urgency=medium

  * No-change rebuild against liblog4cpp5v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 01:43:20 +0000

pion (5.0.6+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update to Standards-Version 3.9.6 (no changes)
  * Strip -D_FORTIFY_SOURCE=2 from CPPFLAGS to prevent spurious inclusion
    in pion.pc

 -- Roberto C. Sanchez <roberto@connexer.com>  Mon, 06 Jul 2015 21:16:26 -0400
