=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: pion
 Priority: extra
-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Athena Capital Research <acr-debian@athenacr.com>
 Uploaders: Roberto C. Sanchez <roberto@connexer.com>
 Build-Depends: debhelper (>= 7), autotools-dev, autoconf, automake, libssl-dev, libboost-dev (>= 1.35), libboost-thread-dev (>= 1.35), libboost-iostreams-dev (>= 1.35), libboost-system-dev (>= 1.35), libboost-filesystem-dev (>= 1.35), libboost-signals-dev (>= 1.35), libboost-test-dev (>= 1.35), chrpath, zlib1g-dev, doxygen, perl, libbz2-dev, libxml2-dev, libpcap-dev, libtool, ruby, cmake, pkg-config, liblog4cpp5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://pion.sourceforge.net/
 Vcs-Browser: https://github.com/cloudmeter/pion
