=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-ldl -Wl,-z,defs -lpthread" dpkg-buildflags
+dpkg_buildflags = DEB_CPPFLAGS_MAINT_STRIP="-D_FORTIFY_SOURCE=2" DEB_LDFLAGS_MAINT_APPEND="-ldl -Wl,-z,defs -lpthread" dpkg-buildflags
 
 config.status: configure
 configure: configure-stamp
