=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg//" http://sf.net/pion/pion-(.*)\.tar\.gz debian debian/repack.sh
