=== debian/changelog ===
pion (5.0.7+dfsg-4) unstable; urgency=medium

  * Fix FTBFS, do not let arch-dependent actions leak to arch-independent
    installation target, patch from Santiago Vila (Closes: #848860)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 23 Dec 2016 22:10:37 -0500

pion (5.0.7+dfsg-3) unstable; urgency=medium

  * Fix FTBFS, build unit tests unoptimized on arm64 to work around a
    spurious null pointer dereference (Closes: #847133)

 -- Roberto C. Sanchez <roberto@connexer.com>  Fri, 09 Dec 2016 23:51:24 -0500

pion (5.0.7+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with gcc6 (narrowing conversion), thanks to Graham Inggs
    for the patch (Closes: #846573)

 -- Roberto C. Sanchez <roberto@connexer.com>  Sun, 04 Dec 2016 23:15:54 -0500

pion (5.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #825099, #828504)
  * Update to Standards-Version 3.9.8 (no changes)
  * Fix FTBFS with gcc6, thanks to Graham Inggs for the patch
    (Closes: #811849)
  * Update to debhelper compatibility level 9 (rework debian/rules)
  * Switch to generated -dbg package

 -- Roberto C. Sanchez <roberto@connexer.com>  Thu, 01 Dec 2016 00:29:06 -0500
