=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*//,filenamemangle=s/(?:[^\d\.]*)?v?(\d[\d\.]*)\.tar\.gz/pion-$1.tar.gz/" \
    https://github.com/splunk/pion/tags (?:[^\d\.]*)?v?(\d[\d\.]*)\.tar\.gz \
    debian debian/repack.sh
